<?php
/**
 * Plugin Name: DataCaptia 
 * Description: Easily enable og information OpenGraph in your website.
 * Author: 		HasThemes
 * Author URI: 	https://hasthemes.com/
 * Version: 	1.0.7
 * Text Domain: data-captia
 * Domain Path: /languages
*/

if( ! defined( 'ABSPATH' ) ) exit(); // Exit if accessed directly
define( 'DATA_CAPTIA_PL_ROOT', __FILE__ );
define( 'DATA_CAPTIA_PL_URL', plugins_url( '/', DATA_CAPTIA_PL_ROOT ) );
define( 'DATA_CAPTIA_PL_PATH', plugin_dir_path( DATA_CAPTIA_PL_ROOT ) );
define( 'DATA_CAPTIA_PLUGIN_BASE', plugin_basename( DATA_CAPTIA_PL_ROOT ) );

//Required File
require_once ( DATA_CAPTIA_PL_PATH .'includes/product-graph.php');
require_once ( DATA_CAPTIA_PL_PATH .'admin/Recommended_Plugins.php');
require_once ( DATA_CAPTIA_PL_PATH .'admin/admin-init.php');
require_once ( DATA_CAPTIA_PL_PATH .'includes/data-captia.php');
require_once ( DATA_CAPTIA_PL_PATH .'includes/page-graph.php');
require_once ( DATA_CAPTIA_PL_PATH .'includes/post-graph.php');

interface Data_Capatia_Open_Graph{
	function open_graph_script();
}

class Data_Capatia_Open_Graph_Render{
	
	private $open_graph_instance;

	function __construct(Data_Capatia_Open_Graph $open_graph_instance){
		$this->open_graph_instance = $open_graph_instance;
		add_action( 'wp_head', [ $this, 'open_graph_load' ] );
	}

	public function open_graph_load(){ 
        $this->open_graph_instance->open_graph_script();
    }
}

$product_graph = new Data_Captia_Product_Graph(); 
new Data_Capatia_Open_Graph_Render($product_graph);

$page_graph = new Data_Capatia_Page_Graph();
new Data_Capatia_Open_Graph_Render($page_graph);   

$post_graph = new Data_Capatia_Post_Graph();
new Data_Capatia_Open_Graph_Render($post_graph);