<?php

/**
 * OpenGraph Initiliaze
*/
class Data_Captia 
{

    /**
     * [$_instance]
     * @var null
    */
    private static $_instance = null;

    /**
     * [instance] Initializes a singleton instance
     * @return [Data_Captia]
    */
    public static function instance() {
        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }
	
	function __construct()
	{
        add_action( 'init', array( $this, 'i18n') );
        add_action( 'plugins_loaded', [ $this, 'init' ] );
	}

	/**
     * [i18n] Load Text Domain
     * @return [void]
    */
    public function i18n() {
        load_plugin_textdomain( 'data-captia', false, dirname( plugin_basename( DATA_CAPTIA_PL_ROOT ) ) . '/languages/' );
    }

    public function init() {
        //add settings in plugin action
        add_filter('plugin_action_links_'.DATA_CAPTIA_PLUGIN_BASE,function($links){

            $link = sprintf("<a href='%s'>%s</a>",esc_url(admin_url('admin.php?page=data-captia-setting-page')),__('Settings','data-captia'));
            array_unshift($links,$link);
            return $links;

        });
    }
      
}

Data_Captia::instance();