<?php 

/**
* Page Graph
*/

class Data_Capatia_Page_Graph implements Data_Capatia_Open_Graph{

	private $page_option = array(); 
	private $page_id;
	function __construct(){
		$this->page_option['select_type'] = get_option('dcp_select_page_type');
		$this->page_option['selected_pages'] = get_option('datacaptia_page_list')?get_option('datacaptia_page_list'):array();
		$this->page_option['default_image'] = get_option('dcp_default_page_image');
	}

	function open_graph_script(){

		if(is_page()){

		  $this->page_id = get_the_ID();
		  $get_img_url = wp_get_attachment_url( get_post_thumbnail_id($this->page_id));
		  $graph_porperty['url'] = get_the_permalink();
		  $graph_porperty['type'] = get_post_type();
		  $graph_porperty['title'] = get_the_title();
		  $graph_porperty['description'] = substr(get_the_content(),0,200);
		  $graph_porperty['image'] = !empty($get_img_url)?$get_img_url:$this->page_option['default_image'];

		  if( 'single' == $this->page_option['select_type'] ){
		  	if(in_array($this->page_id,$this->page_option['selected_pages'])){
				echo $this->open_graph_generate_script($graph_porperty);
			}
		  }else{
			echo $this->open_graph_generate_script($graph_porperty);
		  }

		}

		if( function_exists( 'is_shop' ) && is_shop()){

			$shop_page_id = get_option( 'woocommerce_shop_page_id' );
			$shop_info = get_post($shop_page_id);
			$get_img_url = wp_get_attachment_url( get_post_thumbnail_id($shop_page_id) );
			$graph_porperty['url'] = get_permalink( wc_get_page_id( 'shop' ) );
			$graph_porperty['type'] = 'Shop';
			$graph_porperty['title'] = $shop_info->post_title;
			$graph_porperty['description'] = substr($shop_info->post_content,0,200);
			$graph_porperty['image'] = !empty($get_img_url)?$get_img_url:$this->page_option['default_image'];

			if(in_array($shop_page_id,$this->page_option['selected_pages'])){
				echo $this->open_graph_generate_script($graph_porperty);
			}else{
				echo $this->open_graph_generate_script($graph_porperty);
			}

		}

	}

	function open_graph_generate_script($open_graph_property){
		ob_start();
		?>
			<meta property="og:url" content="<?php echo $open_graph_property['url']; ?>" />
			<meta property="og:type" content="<?php echo $open_graph_property['type']; ?>" />
			<meta property="og:title" content="<?php echo $open_graph_property['title']; ?>" />
			<meta property="og:description" content="<?php echo $open_graph_property['description']; ?>" />
			<meta property="og:image" content="<?php echo $open_graph_property['image']; ?>" />
		<?php 
		return ob_get_clean();
	}
}

?>