<?php 

/**
* Product Graph
*/
class Data_Captia_Product_Graph implements Data_Capatia_Open_Graph
{
	private $product_option = array(); 
	private $product_id;
	function __construct(){
		$this->product_option['select_type'] = get_option('dcp_select_product_type');
		$this->product_option['selected_products'] = get_option('datacaptia_product_list')?get_option('datacaptia_product_list'):array();
		$this->product_option['default_image'] = get_option('dcp_default_product_image');
	}

	function open_graph_script(){
		if ( class_exists( 'WooCommerce' ) && is_singular($post_types = 'product')){
			$this->product_id = get_the_id();
			$product = wc_get_product($this->product_id);
			if( 'single' == $this->product_option['select_type'] ){
				if(in_array($this->product_id,$this->product_option['selected_products'])){
					$open_graph_product_script = 'Data Captia Open Graph';
					echo $this->open_graph_generate_script($product);
				}
			}else{
				$open_graph_product_script = 'Data Captia Open Graph';
				echo $this->open_graph_generate_script($product);
			}
		}
	}

	function open_graph_generate_script($product){

		$get_image = wp_get_attachment_image_url( $product->get_image_id(), 'full' );
		$image_url = !empty($get_image)?$get_image:$this->product_option['default_image'];
		$brand_names = '';

		if ( in_array( 'woocommerce-brands/woocommerce-brands.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		   $product_brands = get_the_terms( $this->product_id, 'product_brand' );
		   foreach ($product_brands as $brand) {
		   		$brand_names .= $brand->name.',';
		   }
		}else{
			$brand_names = $product->get_attribute('brand');
		}

		ob_start();
		?>

		<meta property="og:title" content="<?php echo $product->get_name(); ?>">
		<meta property="og:description" content="<?php echo $product->get_short_description(); ?>">
		<meta property="og:url" content="<?php echo get_permalink($this->product_id); ?>">
		<meta property="og:image" content="<?php echo $image_url; ?>">
		<meta property="product:brand" content="<?php echo rtrim($brand_names,","); ?>">
		<meta property="product:availability" content="<?php echo $product->get_stock_status(); ?>">
		<meta property="product:condition" content="new">
		<meta property="product:price:amount" content="<?php echo $product->get_price(); ?>">
		<meta property="product:price:currency" content="<?php echo get_woocommerce_currency(); ?>">
		<meta property="product:retailer_item_id" content="<?php echo $this->product_id; ?>">
		<meta property="product:item_group_id" content="<?php echo rtrim(implode(",",$product->get_category_ids())) ?>">

		<?php
		return ob_get_clean();
	}

}

?>